<?php

$table = Dever::config('base')->type;

return array
(
	# 表名
	'name' => 'journal_num',
	# 显示给用户看的名称
	'lang' => '本数排行榜',
	# 是否显示在后台菜单
	'order' => 1,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			'list'		=> true,
		),
		

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '0',
			'desc' 		=> '请选择用户',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			//'search'	=> 'select',
			'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
			'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#username", {uid}) : "匿名用户"',
		),
		
		'journal_id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '电子刊ID',
			'default' 	=> '',
			'desc' 		=> '电子刊ID',
			'update'	=> 'text',
			'match' 	=> 'option',
		),

		'num' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '购买本数',
			'default' 	=> '',
			'desc' 		=> '购买本数',
			'match' 	=> 'option',
			'update'	=> 'text',
			'order'		=> 'desc',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		//'insert' => false,
		//'edit' => false,
		//'delete' => false,
		'button' => array
		(
			'导出排行榜' => array('location', 'act/lib/num.out?id=' . Dever::input('search_option_journal_id')),
		),
	),

	# request 请求接口定义
	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'uid' => 'yes',
				'journal_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('num' => 'desc','id' => 'desc'),
			//'page' => array(100, 'list'),
			'limit' => '0,50',
			'col' => '*',
		),
	)
);
