<?php 

/**
 * @api {get} common.public 公共参数说明
 * @apiVersion 1.0.0
 * @apiName common.public
 * @apiGroup Common
 *
 * @apiDescription 介绍公共参数
 *
 * @apiParam {Number} json 是否返回json格式的数据1为返回2为不返回
 * @apiParam {Number} signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 * @apiParam {Number} pg 分页数，第几页，列表页瀑布流使用该参数
 *
 * @apiSuccess {Number}   status  状态，1为有效2为无效
 * @apiSuccess {String}   msg 请求的数据是否成功的提示
 * @apiSuccess {String}   data 如果status为1,data有值
 * @apiSuccess {Object[]}   page 分页信息
 * @apiSuccess {Number}   page.total 分页总数
 * @apiSuccess {Number}   page.current_page 当前页
 * @apiSuccess {Number}   page.total_page 总页数
 * @apiSuccess {Number}   page.next_page 下一页
 * @apiSuccess {Number}   page.prev_page 上一页
 * @apiSuccess {Number}   page.status 是否有下一页数据，0为没有
 */

/**
 * @api {get} common.type 类型设置说明
 * @apiVersion 1.0.0
 * @apiName common.type
 * @apiGroup Common
 *
 * @apiDescription 类型设置说明
 *
 * @apiParam {String} source_type 请在header中定义，ios：ios | android：android | 移动h5：h5  | 小程序：applet | 公众号：service | pc网站：pc
 * @apiParam {Number} type 图文：1 | 视频：2 | 直播：3 | 电子刊：4 | 电子刊音视频：5 | 专题：6 | 小程序：7 | 商品：8 | 链接：10 | 评论： 11 || 直播评论：12 | 电子刊活动页：13
 * @apiParam {Number} push_ 所有带push_开头的返回参数，返回字典都是一样的，参考获取首页数据中的push_focus
 */

/**
 * @api {post} upload/upload/?save.start 上传图片接口
 * @apiVersion 1.0.0
 * @apiName save.start
 * @apiGroup Common
 *
 * @apiParam {Number} key 值为6，写死即可
 * @apiParam {String} file 文件流 multipart/form-data形式
 *
 * @apiSuccess {String}   url  图片地址
*/

/**
 * @api {get} mars/package/passport/?l=applet.login 用户登录
 * @apiVersion 1.0.0
 * @apiName applet.login
 * @apiGroup AppletPassport
 *
 * @apiDescription 用户登录
 *
 * @apiParam {String} code 微信登录返回的code
 * @apiParam {String} nickname 用户昵称
 * @apiParam {String} avatarurl 用户头像
 * @apiParam {String} gender 性别
 * @apiParam {String} city 城市
 * @apiParam {String} province 省份
 * @apiParam {String} country 县区
 * @apiParam {String} iv 微信的加密参数
 * @apiParam {String} encryptedData 微信的加密参数
 *
 * @apiSuccess {Number}   vid  微信id，请保存在本地
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} mars/package/passport/?l=applet.update 更新用户信息
 * @apiVersion 1.0.0
 * @apiName applet.update
 * @apiGroup AppletPassport
 *
 * @apiDescription 更新用户信息
 *
 * @apiParam {String} nickname 用户昵称
 * @apiParam {String} avatarurl 用户头像
 * @apiParam {String} gender 性别
 * @apiParam {String} city 城市
 * @apiParam {String} province 省份
 * @apiParam {String} country 县区
 * @apiParam {String} iv 微信的加密参数
 * @apiParam {String} encryptedData 微信的加密参数
 * @apiParam {Number} vid 微信id
 * @apiParam {Number} uid 用户id
 * @apiParam {String} signature signature
 *
 *
 * @apiSuccess {Number}   vid  微信id，请保存在本地
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */


/**
 * @api {get} mars/package/passport/?l=applet.mobile 更新用户手机号-微信绑定
 * @apiVersion 1.0.0
 * @apiName applet.mobile
 * @apiGroup AppletPassport
 *
 * @apiDescription 更新用户手机号-微信绑定
 *
 * @apiParam {String} iv 微信的加密参数
 * @apiParam {String} encryptedData 微信的加密参数
 * @apiParam {Number} vid 微信id
 * @apiParam {Number} uid 用户id
 * @apiParam {String} signature signature
 *
 *
 * @apiSuccess {Number}   vid  微信id，请保存在本地
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} mars/package/passport/?l=applet.bind_mobile 更新用户手机号-验证码绑定
 * @apiVersion 1.0.0
 * @apiName applet.bind_mobile
 * @apiGroup AppletPassport
 *
 * @apiDescription 更新用户手机号-验证码绑定
 *
 * @apiParam {Number} uid 用户id
 * @apiParam {Number} mobile 手机号
 * @apiParam {String} mcode 验证码
 * @apiParam {String} signature signature
 *

 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} mars/package/passport/?l=reg.getMCode 获取手机验证码
 * @apiVersion 1.0.0
 * @apiName reg.getMCode
 * @apiGroup AppletPassport
 *
 * @apiDescription 获取手机验证码
 *
 * @apiParam {Number} mobile 手机号
 *
 * @apiSuccess {String}   msg 验证码已发送至您的手机，请注意查收，十分钟之内有效
 */

/**
 * @api {get} mars/package/passport/?l=reg.getMCode 获取手机验证码，未登录状态
 * @apiVersion 1.0.0
 * @apiName reg.getMCode
 * @apiGroup AppPassport
 *
 * @apiDescription 获取手机验证码，未登录状态
 *
 * @apiParam {Number} mobile 手机号
 *
 * @apiSuccess {String}   msg 验证码已发送至您的手机，请注意查收，十分钟之内有效
 */

/**
 * @api {get} mars/package/passport/?l=reg.getMCodeLogin 获取手机验证码，已登录状态
 * @apiVersion 1.0.0
 * @apiName reg.getMCode
 * @apiGroup AppPassport
 *
 * @apiDescription 获取手机验证码，已登录状态
 *
 * @apiParam {Number} mobile 手机号
 * @apiParam {String} signature signature
 *
 * @apiSuccess {String}   msg 验证码已发送至您的手机，请注意查收，十分钟之内有效
 */

/**
 * @api {get} mars/package/passport/?l=app.login 登录与注册
 * @apiVersion 1.0.0
 * @apiName app.login
 * @apiGroup AppPassport
 *
 * @apiDescription 登录与注册
 *
 * @apiParam {Number} mobile 手机号
 * @apiParam {String} mcode 验证码
 *
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} mars/package/passport/?l=app.login_uuid UUID登录
 * @apiVersion 1.0.0
 * @apiName app.login_uuid
 * @apiGroup AppPassport
 *
 * @apiDescription UUID登录
 *
 * @apiParam {Number} uuid UUID
 *
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} mars/package/passport/?l=app.bind_mobile 更新用户手机号-验证码绑定
 * @apiVersion 1.0.0
 * @apiName app.bind_mobile
 * @apiGroup AppPassport
 *
 * @apiDescription 更新用户手机号-验证码绑定
 *
 * @apiParam {Number} uid 用户id
 * @apiParam {Number} mobile 手机号
 * @apiParam {String} mcode 验证码
 * @apiParam {String} signature signature
 *

 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} mars/package/passport/?l=app.wechat_reg 第三方登录-已经拥有openid
 * @apiVersion 1.0.0
 * @apiName app.wechat_reg
 * @apiGroup AppPassport
 *
 * @apiDescription 第三方登录-已经拥有openid
 *
 * @apiParam {String} username 用户名
 * @apiParam {String} avatar 头像
 * @apiParam {String} sex 性别
 * @apiParam {String} city 城市
 * @apiParam {String} province 省份
 * @apiParam {String} country 县区
 * @apiParam {String} openid openid
 * @apiParam {String} unionid unionid
 * @apiParam {String} access_token access_token
 * @apiParam {String} refresh_token refresh_token
 * @apiParam {String} expires_in 失效时间
 *
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {Number}   mobile  手机号，判断手机号是否存在，不存在则需要进行绑定，请直接使用app.bind_mobile接口进行绑定即可
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} mars/oauth/?l=request.callback 第三方登录
 * @apiVersion 1.0.0
 * @apiName request.callback
 * @apiGroup AppPassport
 *
 * @apiDescription 第三方登录
 *
 * @apiParam {Number} account 第三方登录的账号，写死为2吧
 * @apiParam {Number} system 系统id，写死为1，后续做ok精彩和精品时再加
 * @apiParam {String} source 渠道来源，写死为1，默认1则为官网渠道
 * @apiParam {String} source_type 渠道类型，写死为ios或者android
 * @apiParam {String} code 用户授权后返回的code
 *

 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {Number}   mobile  手机号，判断手机号是否存在，不存在则需要进行绑定，请直接使用app.bind_mobile接口进行绑定即可
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} mars/package/passport/?l=app.update 更新用户信息
 * @apiVersion 1.0.0
 * @apiName app.update
 * @apiGroup AppPassport
 *
 * @apiDescription 更新用户信息
 *
 * @apiParam {Number} signature 用户signature
 * @apiParam {String} username 用户昵称
 * @apiParam {String} avatar 用户头像
 * @apiParam {String} gender 性别
 * @apiParam {String} city 城市
 * @apiParam {String} province 省份
 * @apiParam {String} country 县区
 *
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} mars/main/?l=view.getHtml 获取富文本内容
 * @apiVersion 1.0.0
 * @apiName view.getHtml
 * @apiGroup App
 *
 * @apiDescription 获取富文本内容
 *
 * @apiParam {Number} signature 用户signature
 * @apiParam {String} type 类型1为图文、2为视频、3为直播、4为电子刊内容，6为专题
 * @apiParam {String} id 图文等内容id，如果为4，则为电子刊的内容id，而非电子刊id
 *
 * @apiSuccess {String}   html 直接返回html的信息，请注意里面的协议：jstyle://live_note?id=0&live_id=1&file=test

 其中有几个：

 jstyle://video?id=0&vod_id=1&file=test 播放视频 id=0为content_array里的数组索引，vod_id为视频id，file为视频文件地址

 jstyle://live?id=0&live_id=1&file=test 播放直播 id=0为content_array里的数组索引，live_id为直播id，file为直播文件地址

 jstyle://live_note?id=0&live_id=1&file=test&note=1 设置直播提醒 id=0为content_array里的数组索引，live_id为直播id，file为直播文件地址，note值为1是已设置提醒，2为未设置提醒

 jstyle://auido?id=0&file=test&note=1 播放视频 id=0为content_array里的数组索引，file为直播文件地址
 */

/**
 * @api {get} mars/main/?l=user.submit_comment 提交评论
 * @apiVersion 1.0.0
 * @apiName user.submit_comment
 * @apiGroup UserAction
 *
 * @apiDescription 提交评论
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} type type类型
 * @apiParam {Number} id 当前的数据id
 * @apiParam {String} content 评论内容
 *
 * @apiSuccess {Number}  id 当前的数据id
 */

/**
 * @api {get} mars/main/?l=journal.getList 小程序电子刊列表
 * @apiVersion 1.0.0
 * @apiName journal.getList
 * @apiGroup Journal
 *
 * @apiDescription 电子刊列表，按照分类读取，根据获取的信息，可以直接进入到电子刊详情页，无需再次请求接口。
 *
 * @apiParam {String} signature signature
 * @apiParam {String} system 分类id，默认为1，传入-1就是获取全部
 *
 * @apiSuccess {Number}   uid  用户id 所有接口中都有该项
 * @apiSuccess {Object[]} config 基本配置 所有接口中都有该项
 * @apiSuccess {String}   config.name 系统名称 请将小程序和app头部名称替换为该字段
 * @apiSuccess {String}   config.info 系统介绍
 * @apiSuccess {String}   config.logo 系统logo
 * @apiSuccess {String}   config.ios_pay ios支付设置 1为不开启小程序支付，将所有购买按钮都隐藏掉，2为开启公众号支付，3开始小程序支付
 * @apiSuccess {String}   config.ios_pay_pic ios里公众号支付引导图
 * @apiSuccess {String}   config.try_desc 试用的说明 

 * @apiSuccess {Object[]} journal 电子刊数据列表
 * @apiSuccess {String}   journal.id 电子刊id
 * @apiSuccess {String}   journal.name 名称
 * @apiSuccess {String}   journal.subname 期号
 * @apiSuccess {String}   journal.pic_cover 列表封面图片 暂时无效
 * @apiSuccess {String}   journal.pic_view_cover 电子刊封面图片 封面图都用这个
 * @apiSuccess {String}   journal.pic_view_bg 全屏背景图，多张图片，这是一个数组
 * @apiSuccess {String}   journal.pic_gd 电子刊推广图
 * @apiSuccess {String}   journal.pdate 时间
 * @apiSuccess {String}   journal.num_ding 订阅数
 * @apiSuccess {String}   journal.buy 电子刊是否收费 1收费 2免费
 * @apiSuccess {String}   journal.buy_type 电子刊支付类型，1为普通支付，2为明星支付（读取明星列表）
 * @apiSuccess {String}   journal.bgmusic 电子刊背景音乐
 * @apiSuccess {Object[]}   journal.button 按钮判断 如果不需要这个，可以不用
 * @apiSuccess {Object[]}   journal.button.read 第一个按钮 阅读按钮
 * @apiSuccess {String}   journal.button.read.status 状态 -1不显示 1为进入阅读 2为兑换 3为预售，注意，当值为2时，必须在阅读按钮上，当用户点击按钮时，绑定一个事件，该事件的接口为journal.subscribe
 * @apiSuccess {String}   journal.button.read.name 按钮上的名字
 * @apiSuccess {Object[]}   journal.button.buy 第二个按钮 购买按钮
 * @apiSuccess {String}   journal.button.buy.status 状态 -1不显示 1为购买
 * @apiSuccess {String}   journal.button.buy.name 按钮上的名字
 * @apiSuccess {Object[]}   journal.button.share 第三个按钮 排行榜按钮
 * @apiSuccess {String}   journal.button.share.status 状态 -1不显示 1为排行榜
 * @apiSuccess {String}   journal.button.share.name 按钮上的名字
 *
 * @apiSuccess {Object[]} push 主推电子刊列表 字段参考电子刊数据列表

 * @apiSuccess {Object[]} cate 当前分类
 * @apiSuccess {String}   cate.id 分类id
 * @apiSuccess {String}   cate.name 名称
 */

/**
 * @api {get} mars/app/act/?l=order.getMyList 我的订单列表
 * @apiVersion 1.0.0
 * @apiName order.getMyList
 * @apiGroup UserActionV1
 *
 * @apiDescription 我的订单列表
 *
 * @apiParam {String} signature signature
 * @apiParam {String} system 分类id
 *
 * @apiSuccess {Object[]} order 订单信息
 * @apiSuccess {String}   order.name 名称
 * @apiSuccess {String}   order.order_id 订单id
 * @apiSuccess {String}   order.buy_num 购买本数
 * @apiSuccess {String}   order.cdate 购买时间
 */

/**
 * @api {get} mars/app/act/?l=order.getMyCodeList 我的兑换码列表
 * @apiVersion 1.0.0
 * @apiName order.getMyCodeList
 * @apiGroup UserActionV1
 *
 * @apiDescription 我的兑换码列表
 *
 * @apiParam {String} signature signature
 * @apiParam {String} order_id 订单id
 *
 * @apiSuccess {Object[]} code 兑换码列表
 * @apiSuccess {String}   code.code 兑换码
 * @apiSuccess {String}   code.type 类型 1为未使用 3为已使用 4为已作废
 */

/**
 * @api {get} mars/main/?l=journal.read 电子刊阅读页
 * @apiVersion 1.0.0
 * @apiName journal.read
 * @apiGroup Journal
 *
 * @apiDescription 电子刊阅读页
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 电子刊id
 *
 * @apiSuccess {Object[]} content 内容数据列表，每页显示10条，请在翻到第7或者第8条时，请求第2页
 * @apiSuccess {String}   content.id 内容id
 * @apiSuccess {String}   content.type 内容类型1全屏图、2长图、3图文内容、11关联图文、12关联视频、13关联直播、4全屏视频、5留言视频、6留言音频|||新增：7长屏图、8横屏图、9无边框图片、10四宫格图片、21对话模板、31试用产品、32是h5的url地址（独立h5）
 * @apiSuccess {String}   content.name 标题。type=5,6时有效
 * @apiSuccess {String}   content.cover 音频或者视频的封面图，type=4,5,6时有效
 * @apiSuccess {String}   content.video 视频地址。type=4,5时有效
 * @apiSuccess {String}   content.music 音频地址。type=6时有效
 * @apiSuccess {String}   content.pic 全屏图或者长图，type=1,2,7,8,9时有效
 * @apiSuccess {String}   content.pic_info 全屏图或者长图的图片信息，type=1,2,7,8,9时有效，值如1024_768_548.12_35，请用_分隔成数组使用，1024为宽度，768为高度，548.12为图片大小，35为图片id
 * @apiSuccess {String}   content.is_button 全屏图上的保存按钮，1显示2不显示，type=1时有效
 * @apiSuccess {String}   content.button_name 全屏图上的保存按钮的文字，type=1时有效
 * @apiSuccess {String}   content.button_color 全屏图上的保存按钮的文字颜色，type=1时有效
 * @apiSuccess {String}   content.note 是否预约提醒1为已预约，2为未预约
 * @apiSuccess {Object[]}   content.text 全屏图上的九个文字位置，type=1时有效
 * @apiSuccess {String}   content.text.text 文字位置，1上左2上中3上右4中左5正中6中右7下左8下中9下右
 * @apiSuccess {String}   content.text.name 文字内容 换行用\n隔开
 * @apiSuccess {String}   content.text.color 文字颜色
 * @apiSuccess {String}   content.text.bgcolor 文字背景颜色
 * @apiSuccess {String}   content.text.bgcolor_type 是否设置文字背景颜色，1设置，2不设置，不设置则文字背景颜色为透明。
 * @apiSuccess {String}   content.text.size 文字像素大小
 * @apiSuccess {Object[]}   content.info type=3,11,12,13时有效，当等于11,12,13时，分别对应图文详情、视频详情、直播详情里的字段，等于3时，请查看以下字段
 * @apiSuccess {String}   content.info.name 标题
 * @apiSuccess {String}   content.info.focus 焦点图
 * @apiSuccess {String}   content.info.content 内容
 * @apiSuccess {String}   content.info.content_array 数组内容
 * @apiSuccess {Object[]}   content.info.author 作者

  * @apiSuccess {Object[]}   content.product type=31时有效
 * @apiSuccess {String}   content.product.name 产品标题
 * @apiSuccess {String}   content.product.pic 产品图片
 * @apiSuccess {String}   content.product.content 内容
 * @apiSuccess {String}   content.product.cate 产品分类信息
 * @apiSuccess {Object[]}   content.product.price 产品价格

 * @apiSuccess {Object[]}   content.palaces 四宫格图片的四个图片，type=10时有效
 * @apiSuccess {String}   content.palaces.palaces 图片位置，1上左2上右3下左4下右
 * @apiSuccess {String}   content.palaces.pic 图片

 * @apiSuccess {String}   content.talk_pic 对话模板的置顶图片，为空则不显示，type=21时有效
 * @apiSuccess {Object[]}   content.talk 对话模板里的对话内容，type=21时有效
 * @apiSuccess {String}   content.talk.talk_location 对话位置，1左2右
 * @apiSuccess {String}   content.talk.talk_type 对话类型，1文字，2图片，3音频
 * @apiSuccess {String}   content.talk.avatar 头像
 * @apiSuccess {String}   content.talk.text 文字
 * @apiSuccess {String}   content.talk.pic 图片
 * @apiSuccess {String}   content.talk.audio 音频
 */

/**
 * @api {get} mars/main/?l=journal.getView 电子刊详情页
 * @apiVersion 1.0.0
 * @apiName journal.getView
 * @apiGroup Journal
 *
 * @apiDescription 电子刊详情页，如果是分享进来的，请求这个接口来获取按钮
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 电子刊id
 *
 * @apiSuccess {Object[]} info 电子刊详情
 * @apiSuccess {String}   info.id 电子刊id
 * @apiSuccess {String}   info.name 名称
 * @apiSuccess {String}   journal.subname 期号
 * @apiSuccess {String}   info.pic_cover 列表封面图片 暂时无效
 * @apiSuccess {String}   info.pic_view_cover 电子刊封面图片 封面图都用这个
 * @apiSuccess {String}   info.pic_view_bg 全屏背景图，多张图片，这是一个数组
 * @apiSuccess {String}   info.pic_gd 电子刊推广图
 * @apiSuccess {String}   info.pdate 时间
 * @apiSuccess {String}   info.ydate 预售时间
 * @apiSuccess {String}   info.ytype 预售状态，1为可以阅读2显示预售弹窗，如果用button就不用判断该字段了
 * @apiSuccess {String}   info.num_ding 订阅数
 * @apiSuccess {String}   info.buy 电子刊是否收费 1收费 2免费
 * @apiSuccess {String}   info.buy_type 电子刊支付类型，1为普通支付，2为明星支付（读取明星列表）
 * @apiSuccess {String}   info.subscribe 是否订阅，1为已订阅2为未订阅
 * @apiSuccess {String}   info.active 是否有活动，1为有2为没有，有则显示排行榜按钮

 * @apiSuccess {Object[]}   button 按钮判断 如果不需要这个，可以不用
 * @apiSuccess {Object[]}   button.read 第一个按钮 阅读按钮
 * @apiSuccess {String}   button.read.status 状态 -1不显示 1为进入阅读 2为兑换 3为预售，注意，当值为2时，必须在阅读按钮上，当用户点击按钮时，绑定一个事件，该事件的接口为journal.subscribe
 * @apiSuccess {String}   button.read.name 按钮上的名字
 * @apiSuccess {Object[]}   button.buy 第二个按钮 购买按钮
 * @apiSuccess {String}   button.buy.status 状态 -1不显示 1为购买
 * @apiSuccess {String}   button.buy.name 按钮上的名字
 * @apiSuccess {Object[]}   button.share 第三个按钮 排行榜按钮
 * @apiSuccess {String}   button.share.status 状态 -1不显示 1为排行榜
 * @apiSuccess {String}   button.share.name 按钮上的名字
 */

/**
 * @api {get} mars/main/?l=journal.subscribe 检测电子刊是否可以阅读
 * @apiVersion 1.0.0
 * @apiName journal.subscribe
 * @apiGroup Journal
 *
 * @apiDescription 检测电子刊是否可以阅读
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 电子刊id
 *
 * @apiSuccess {String}   subscribe 1为已订阅可以阅读，2为未订阅不能阅读，弹出兑换码
 */

/**
 * @api {get} mars/main/?l=journal.buy 电子刊购买页
 * @apiVersion 1.0.0
 * @apiName journal.buy
 * @apiGroup Journal
 *
 * @apiDescription 电子刊购买页
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 电子刊id
 *
 * @apiSuccess {Object[]} info 电子刊详情
 * @apiSuccess {String}   info.id 电子刊id
 * @apiSuccess {String}   info.name 名称
 *
 * @apiSuccess {String} buy_desc 购买说明
 * @apiSuccess {Object[]}   buy_list 购买列表
 * @apiSuccess {String}   buy_list.id 购买id 支付时使用
 * @apiSuccess {String}   buy_list.name 名称
 * @apiSuccess {String}   buy_list.price 标价
 * @apiSuccess {String}   buy_list.cash 实际支付价格
 */

/**
 * @api {get} mars/main/?l=journal.star 电子刊明星列表页
 * @apiVersion 1.0.0
 * @apiName journal.star
 * @apiGroup Journal
 *
 * @apiDescription 电子刊明星列表页，当buy_type==2时读取本接口
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 电子刊id
 *
 * @apiSuccess {Object[]} info 电子刊详情
 * @apiSuccess {String}   info.id 电子刊id
 * @apiSuccess {String}   info.name 名称
 * @apiSuccess {Object[]}   star 明星列表
 * @apiSuccess {String}   star.id 明星id 支付时使用
 * @apiSuccess {String}   star.name 明星名称
 * @apiSuccess {String}   star.avatar 明星头像
 * @apiSuccess {String}   star.num_ding 明星订阅数
 */

/**
 * @api {get} mars/app/act/?l=order.pay 发起支付
 * @apiVersion 1.0.0
 * @apiName order.pay
 * @apiGroup UserActionV1
 *
 * @apiDescription 发起支付：请注意，如果是苹果支付，请在发起苹果支付之后，将苹果返回的验证数据，传入该接口
 *
 * @apiParam {String} signature signature
 * @apiParam {String} journal_id 电子刊id
 * @apiParam {String} buy_id 购买本数id
 * @apiParam {String} star_id 明星id
 * @apiParam {String} receipt 当header中的source_type为ios时，请传入该参数，参数的值为苹果支付后返回的参数，即可发起支付验证。
*
 * @apiSuccess {Object[]} pay 微信支付返回的数据
 * @apiSuccess {String}   pay.time 服务器时间戳
 * @apiSuccess {String}   pay.nonce_str 随机字符串
 * @apiSuccess {String}   pay.prepay_id 统一下单接口返回的 prepay_id 参数值，通过'prepay_id=' + prepay_id 拼装成package
 * @apiSuccess {String}   pay.sign_type 签名算法
 * @apiSuccess {String}   pay.sign 签名
 * @apiSuccess {String}   pay.yes 苹果支付时显示改参数，1为支付成功2为支付失败
 * @apiSuccess {String}   pay.order_id 支付的订单id
 */

/**
 * @api {get} mars/app/act/?l=order.code 兑换码兑换
 * @apiVersion 1.0.0
 * @apiName order.code
 * @apiGroup UserActionV1

 * @apiDescription 兑换码兑换
 *
 * @apiParam {String} signature signature
 * @apiParam {String} journal_id 电子刊id
 * @apiParam {String} code 兑换码
 *
 * @apiSuccess {String}   ok 兑换成功
 */

/**
 * @api {get} mars/main/?l=journal.top 电子刊本数排行榜
 * @apiVersion 1.0.0
 * @apiName journal.top
 * @apiGroup Journal
 *
 * @apiDescription 电子刊本数排行榜
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 电子刊id
 *
 * @apiSuccess {Object[]} info 电子刊详情
 * @apiSuccess {String}   info.id 电子刊id
 * @apiSuccess {String}   info.name 名称
 *
 * @apiSuccess {Object[]}   top 本数排行
 * @apiSuccess {String}   top.uid 用户id
 * @apiSuccess {String}   top.num 本数
 * @apiSuccess {String}   top.username 用户名
 * @apiSuccess {String}   top.avatar 头像
  *
 * @apiSuccess {Object[]}   active 活动说明表
 * @apiSuccess {String}   active.name 名称
 * @apiSuccess {String}   active.status 活动状态 1活动进行中 2活动已结束
 * @apiSuccess {String}   active.desc 描述
 * @apiSuccess {String}   active.invite_title 邀请好友标题
 * @apiSuccess {String}   active.invite_desc 邀请好友描述 换行用\n隔开
 * @apiSuccess {String}   active.content 活动说明，富文本
 */

/**
 * @api {get} mars/main/?l=user.my 获取用户信息
 * @apiVersion 1.0.0
 * @apiName user.my
 * @apiGroup User
 *
 * @apiDescription 获取用户信息
 *
 * @apiParam {String} signature signature
 *
 * @apiSuccess {Object[]} user 用户基本信息
 * @apiSuccess {String}   user.id 用户id
 * @apiSuccess {String}   user.username 用户名
 * @apiSuccess {String}   user.mobile 手机号
 * @apiSuccess {String}   user.avatar 头像
 * @apiSuccess {String}   user.level 等级
 * @apiSuccess {String}   user.score 积分
 * @apiSuccess {String}   user.vip_type 会员状态，-1为未开通，-2为已过期，大于0则为正式会员的过期时间戳
 * @apiSuccess {String}   user.vip_end 当vip_type>0时存在，正式会员的过期时间
 * @apiSuccess {String}   user.vip_state vip_state=1则显示购买按钮，=2则不显示
 * @apiSuccess {Number}   user_msg 用户新消息数
 */

/**
 * @api {get} mars/main/?l=user.my_msg 获取我的消息
 * @apiVersion 1.0.0
 * @apiName user.my_msg
 * @apiGroup User
 *
 * @apiDescription 获取我的消息
 *
 * @apiParam {String} signature signature
 *
 * @apiSuccess {Object[]} msg 消息列表
 * @apiSuccess {String}   msg.uid 用户id
 * @apiSuccess {String}   msg.from_uid 消息来源uid，暂时不用管
 * @apiSuccess {String}   msg.name 消息标题
 * @apiSuccess {String}   msg.content 消息内容
 * @apiSuccess {String}   msg.cdate 时间戳
 * @apiSuccess {String}   msg.cdate_time 转换成了Y-m-d H:i:s的时间
 * @apiSuccess {String}   msg.status 消息已读状态1未读2已读
 * @apiSuccess {String}   msg.type 消息类型，暂时不用管，目前都为11
 * @apiSuccess {String}   msg.param 消息传入参数，这是一个数组：name消息名称，type是上述公共参数所定义的类型，id是底层页id，link是链接地址，有则跳转到该地址
 */

/**
 * @api {get} mars/main/?l=user.my_comment 获取我评论的信息
 * @apiVersion 1.0.0
 * @apiName user.my_comment
 * @apiGroup User
 *
 * @apiDescription 获取我喜欢的信息
 *
 * @apiParam {String} signature signature
 *
 * @apiSuccess {Object[]} comment 用户基本信息
 * @apiSuccess {String}   comment.uid 用户id
 * @apiSuccess {String}   comment.data_id 数据id
 * @apiSuccess {String}   comment.content 评论内容
 * @apiSuccess {String}   comment.time 时间：x小时前
 * @apiSuccess {String}   comment.cdate 时间戳
 * @apiSuccess {String}   comment.cdate_time 转换成了Y-m-d H:i:s的时间
 * @apiSuccess {String}   comment.type 类型，参考公共参数中的类型设置说明中的type说明
 * @apiSuccess {Object[]}   comment.info 基本信息 根据type不同，里面的字段有所不同
 * @apiSuccess {String}   comment.info.id 数据id
 * @apiSuccess {String}   comment.info.name 名称
 * @apiSuccess {String}   comment.info.cate_id 栏目ID
 * @apiSuccess {String}   comment.info.cate_name 栏目名称
 * @apiSuccess {String}   comment.info.pic_cover 4:3图片
 * @apiSuccess {String}   comment.info.pic_cover_169 16:9图片
 * @apiSuccess {String}   comment.info.pdate 发布时间
 */
